// Copyright 1997-2002 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import <OWF/NSObject-OWContent.h>

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/Content.subproj/NSObject-OWContent.m,v 1.8 2002/03/09 01:53:48 kc Exp $")

@implementation NSObject (OWContent)

// OWContent optional protocol

- (OWCursor *)contentCursor;
{
    return nil;
}

- (unsigned long int)cacheSize;
{
    return 50000;
}

- (BOOL)shareable;
{
    return NO;
}

- (BOOL)contentIsValid;
{
    return YES;
}

- (BOOL)prepareForReturnToCache;
{
    return YES;
}

@end
